Spring til indhold

Message events

Bounce, delivery and open events of messages

The message event object

Attributes

iduuid

Unique identifier

message_iduuid
messages.id

Identifier of the related message

created_atread-onlytimestamp with time zone

Creation timestamp

event_typeMessageEventType

Type of the event

recipienttext

Email address or phone number of the recipient

Related resources

Embed related resources in the response with the select parameter, for example select=*,messages(*). Resources related through more than one column need the column as a hint, like table!column(*).

messages(*)object | null
messages

The message referenced by message_id.

The message event object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "message_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:26:24.999Z",
  "event_type": "bounce",
  "recipient": ""
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/message_events?limit=10&select=*,messages(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List message events

Filters

idFilter<uuid>

Unique identifier

message_idFilter<uuid>
messages.id

Identifier of the related message

created_atFilter<timestamp with time zone>

Creation timestamp

event_typeFilter<MessageEventType>

Type of the event

recipientFilter<text>

Email address or phone number of the recipient

Responses

200

A list of message events with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /message_events
curl -X GET "https://api.bookingmood.com/v1/message_events?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "message_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.999Z",
    "event_type": "bounce",
    "recipient": ""
  }
]

Få styr på dine bookinger. Opbyg din egen virksomhed.

Bliv en del af de 1200+ uafhængige udlejningsvirksomheder, der bruger Bookingmood til at øge antallet af direkte bookinger og opbygge stærkere relationer til gæsterne.

Start gratis 14-dages prøveperiode